Bug 1459206 - new entity not present in the list for some time
new entity not present in the list for some time
Product: Red Hat Storage Console
Classification: Red Hat
Component: Node Agent (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Darshan
Depends On:
  Show dependency treegraph
Reported: 2017-06-06 10:15 EDT by Lubos Trilety
Modified: 2017-06-29 08:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Github Tendrl/api/issues/221 None None None 2017-06-26 12:32 EDT
Github Tendrl/commons/issues/642 None None None 2017-06-29 08:16 EDT

  None (edit)
Description Lubos Trilety 2017-06-06 10:15:36 EDT
Description of problem:
A new entity e.g. a new cluster is not present in the list right after related task is finished. It takes some time until it appears.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start to import/create a cluster
2. wait till the job is finished
3. look for available clusters

Actual results:
The cluster is not present in GetClusterList response. It takes several seconds till the cluster appears.

Expected results:
The cluster should be present in the list when the task finishes. Could be present before the task ends though. 

Additional info:
Similar sceanrios for other entitites like pool, rbd and files shares.
Comment 2 Rohan Kanade 2017-06-29 08:16:25 EDT
1) For objects inside a cluster (like pool, volume, rbd), Tendrl will now not mark the CRUD job as finished until the CRUD has actually happened on the SDS

2) For Create Cluster and other day 1 flows like import, expand. Here is the tracking bug where this issue will be fixed https://github.com/Tendrl/commons/issues/642

Note You need to log in before you can comment on or make changes to this bug.